Creates a referral link
curl --request POST \
--url https://api.firstpromoter.com/api/v2/affiliate/referral_links \
--header 'Account-ID: <account-id>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"promoter_campaign_id": 123,
"sub_id": "<string>",
"name": "<string>",
"url": "<string>"
}
'import requests
url = "https://api.firstpromoter.com/api/v2/affiliate/referral_links"
payload = {
"promoter_campaign_id": 123,
"sub_id": "<string>",
"name": "<string>",
"url": "<string>"
}
headers = {
"Account-ID": "<account-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Account-ID': '<account-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
promoter_campaign_id: 123,
sub_id: '<string>',
name: '<string>',
url: '<string>'
})
};
fetch('https://api.firstpromoter.com/api/v2/affiliate/referral_links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.firstpromoter.com/api/v2/affiliate/referral_links",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'promoter_campaign_id' => 123,
'sub_id' => '<string>',
'name' => '<string>',
'url' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Account-ID: <account-id>",
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.firstpromoter.com/api/v2/affiliate/referral_links"
payload := strings.NewReader("{\n \"promoter_campaign_id\": 123,\n \"sub_id\": \"<string>\",\n \"name\": \"<string>\",\n \"url\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Account-ID", "<account-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.firstpromoter.com/api/v2/affiliate/referral_links")
.header("Account-ID", "<account-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"promoter_campaign_id\": 123,\n \"sub_id\": \"<string>\",\n \"name\": \"<string>\",\n \"url\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.firstpromoter.com/api/v2/affiliate/referral_links")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Account-ID"] = '<account-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"promoter_campaign_id\": 123,\n \"sub_id\": \"<string>\",\n \"name\": \"<string>\",\n \"url\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"url": "<string>",
"is_default": true,
"source": "campaign",
"sub_id": "<string>",
"campaign": {
"id": 123,
"name": "<string>",
"color": "<string>"
}
}{}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}Affiliate Referral Links
Creates a referral link
Create a named referral link with a sub_id and destination URL for one of the signed-in promoter’s campaigns.
POST
/
referral_links
Creates a referral link
curl --request POST \
--url https://api.firstpromoter.com/api/v2/affiliate/referral_links \
--header 'Account-ID: <account-id>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"promoter_campaign_id": 123,
"sub_id": "<string>",
"name": "<string>",
"url": "<string>"
}
'import requests
url = "https://api.firstpromoter.com/api/v2/affiliate/referral_links"
payload = {
"promoter_campaign_id": 123,
"sub_id": "<string>",
"name": "<string>",
"url": "<string>"
}
headers = {
"Account-ID": "<account-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Account-ID': '<account-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
promoter_campaign_id: 123,
sub_id: '<string>',
name: '<string>',
url: '<string>'
})
};
fetch('https://api.firstpromoter.com/api/v2/affiliate/referral_links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.firstpromoter.com/api/v2/affiliate/referral_links",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'promoter_campaign_id' => 123,
'sub_id' => '<string>',
'name' => '<string>',
'url' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Account-ID: <account-id>",
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.firstpromoter.com/api/v2/affiliate/referral_links"
payload := strings.NewReader("{\n \"promoter_campaign_id\": 123,\n \"sub_id\": \"<string>\",\n \"name\": \"<string>\",\n \"url\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Account-ID", "<account-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.firstpromoter.com/api/v2/affiliate/referral_links")
.header("Account-ID", "<account-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"promoter_campaign_id\": 123,\n \"sub_id\": \"<string>\",\n \"name\": \"<string>\",\n \"url\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.firstpromoter.com/api/v2/affiliate/referral_links")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Account-ID"] = '<account-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"promoter_campaign_id\": 123,\n \"sub_id\": \"<string>\",\n \"name\": \"<string>\",\n \"url\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"url": "<string>",
"is_default": true,
"source": "campaign",
"sub_id": "<string>",
"campaign": {
"id": 123,
"name": "<string>",
"color": "<string>"
}
}{}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}Authorizations
Headers
Body
application/json